=== debian/changelog ===
libfiu (0.95-4build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:25:54 +1200

libfiu (0.95-4) unstable; urgency=medium

  * Apply patch from Steve Langasek via Ubuntu to fix autopkgtests by using
    double quotes to survive the parser and by setting allow-stderr to account
    for the error message from ls. (Closes: #869709)

 -- Chris Lamb <lamby@debian.org>  Tue, 25 Jul 2017 21:51:44 +0100

libfiu (0.95-3) unstable; urgency=medium

  * Use /bin/ls over "ls" in autopkgtest.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Nov 2016 09:47:22 +0100

libfiu (0.95-2) unstable; urgency=medium

  * Expand the autopkgtest tests from upstram's suggestions.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Nov 2016 18:44:36 +0100

libfiu (0.95-1) unstable; urgency=medium

  * New upstream release.
  * All patches now applied upstream.
  * Move to DEP-5 debian/copyright format.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Nov 2016 16:10:15 +0100

libfiu (0.94-10) unstable; urgency=medium

  * Add a simple autopkgtest smoke test.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Nov 2016 10:09:27 +0000

libfiu (0.94-9) unstable; urgency=medium

  * Run "gbp pq import && gpq pq export" to refresh patches.
  * Add 0003-Sort-modules-to-ensure-reproducible-order-in-binary.patch to try
    to ensure a reproducible build for modules.

 -- Chris Lamb <lamby@debian.org>  Sun, 23 Oct 2016 13:30:26 +0200

libfiu (0.94-8) unstable; urgency=medium

  * Fix FTBFS under bash due to lack of '&&' in debian/rules.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Oct 2016 16:29:51 +0200

libfiu (0.94-7) unstable; urgency=medium

  * Actually drop /usr/lib/libfiu.so symlink in libfiu0 package.
    (Closes: #828828)

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jun 2016 14:59:41 +0200

libfiu (0.94-6) unstable; urgency=medium

  * Drop /usr/lib/libfiu.so symlink in libfiu0 package and add override.
    (Closes: #828828)

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jun 2016 10:51:01 +0200

libfiu (0.94-5) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8.
  * Install /usr/lib/libfiu.so symlink to appease lintian.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jun 2016 17:32:42 +0200
