=== debian/control ===
Source: libfiu
Section: libs
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python-docutils,
 python3-all-dev
Standards-Version: 3.9.8
Homepage: http://blitiri.com.ar/p/libfiu/
Vcs-Git: https://github.com/lamby/pkg-libfiu
Vcs-Browser: https://github.com/lamby/pkg-libfiu

Package: libfiu0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: userspace fault injection framework
 libfiu is a C library for fault injection. It provides functions to mark
 "points of failure" inside your code (the "core API"), and functions to
 enable/disable the failure of those points (the "control API").
 .
 This package contains the libfiu shared library. To perform fault injection,
 you will require the "libfiu-dev" package.

Package: fiu-utils
Section: devel
Architecture: any
Depends:
 libfiu0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: userspace fault injection framework (utilities)
 libfiu is a C library for fault injection. It provides functions to mark
 "points of failure" inside your code (the "core API"), and functions to
 enable/disable the failure of those points (the "control API").
 .
 This package contains the fiu-run, fiu-ls and fiu-ctrl utilities.

Package: libfiu-dev
Section: libdevel
Architecture: any
Depends:
 libfiu0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: userspace fault injection framework (development libraries)
 libfiu is a C library for fault injection. It provides functions to mark
 "points of failure" inside your code (the "core API"), and functions to
 enable/disable the failure of those points (the "control API").
 .
 This package contains the development libraries and documentation in HTML and
 reStructuredText formats.

Package: python-fiu
Section: python
Architecture: any
Depends:
 libfiu0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: userspace fault injection framework (Python bindings)
 libfiu is a C library for fault injection. It provides functions to mark
 "points of failure" inside your code (the "core API"), and functions to
 enable/disable the failure of those points (the "control API").
 .
 This package contains Python bindings to libfiu.

Package: python3-fiu
Section: python
Architecture: any
Depends:
 libfiu0 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: userspace fault injection framework (Python 3 bindings)
 libfiu is a C library for fault injection. It provides functions to mark
 "points of failure" inside your code (the "core API"), and functions to
 enable/disable the failure of those points (the "control API").
 .
 This package contains Python 3 bindings to libfiu.
