=== debian/watch ===
version=3
http://blitiri.com.ar/p/libfiu/ files/[^/]+/libfiu-(.*).tar.gz
