=== debian/changelog ===
libfiu (0.96-4build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:07:38 +0000

libfiu (0.96-4) unstable; urgency=medium

  * Apply upstream patch to make the build more robust against --as-needed.
    (Closes: #902363)

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Jun 2018 20:55:15 +0100

libfiu (0.96-3) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:52:39 +0100

libfiu (0.96-2) unstable; urgency=medium

  * Apply patch from upstream to make the build reproducible. (Closes: #894776)

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Apr 2018 09:36:48 +0100

libfiu (0.96-1) unstable; urgency=medium

  * New upstream release. (Closes: #893049)
    - Fix FTBFS due to build/test parellelism. (Closes: #893049)
  * Add explicit python3-distutils Build-Dependency.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Mar 2018 20:32:20 -0400

libfiu (0.95-7) unstable; urgency=medium

  * Drop debian/patches/0001-ALso-preload-libfiu.so-explicitly.patch; it does
    not actually fix #893049 -- something else/strange is going on.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Mar 2018 18:38:49 -0400

libfiu (0.95-6) unstable; urgency=medium

  * LD_PRELOAD libfiu.so explicitly to avoid test failure. (Closes: #893049)

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Mar 2018 19:05:21 -0700

libfiu (0.95-5) unstable; urgency=medium

  * Update Build-Depends for cross-compilation. Thanks to Helmut Grohne for
    the patch. (Closes: #892946)
  * Add gbp.conf.
  * Use .travis.yml from travis.debian.net.
  * Update debian/watch to use HTTPS URI.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Mar 2018 12:16:55 -0700
