=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
- python-all-dev,
+ libpython-all-dev,
+ libpython3-all-dev,
+ python-all-dev:any,
  python-docutils,
- python3-all-dev
-Standards-Version: 3.9.8
-Homepage: http://blitiri.com.ar/p/libfiu/
-Vcs-Git: https://github.com/lamby/pkg-libfiu
-Vcs-Browser: https://github.com/lamby/pkg-libfiu
+ python3-distutils,
+ python3-all-dev:any,
+Standards-Version: 4.1.4
+Homepage: https://blitiri.com.ar/p/libfiu/
+Vcs-Git: https://salsa.debian.org/lamby/pkg-libfiu.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-libfiu
 
 Package: libfiu0
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: userspace fault injection framework
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -32,7 +35,7 @@
 Depends:
  libfiu0 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: userspace fault injection framework (utilities)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -46,7 +49,7 @@
 Depends:
  libfiu0 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: userspace fault injection framework (development libraries)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -62,7 +65,7 @@
  libfiu0 (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: userspace fault injection framework (Python bindings)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
@@ -77,7 +80,7 @@
  libfiu0 (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: userspace fault injection framework (Python 3 bindings)
  libfiu is a C library for fault injection. It provides functions to mark
  "points of failure" inside your code (the "core API"), and functions to
