=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh_auto_test -- V=1 LC_ALL=C
 
 override_dh_auto_install:
-	make install PREFIX=$(CURDIR)/debian/tmp/usr DESTDIR=/usr PLIBPATH=/usr/lib/fiu
+	make install PREFIX=$(CURDIR)/debian/tmp/usr DESTDIR=/usr PLIBPATH=/usr/lib/fiu V=1
 	cd bindings/python && \
 	set -e && for i in $(PYTHON2_VERSIONS); do \
 	  python$$i ./setup.py install --root=$(CURDIR)/debian/python-fiu --no-compile -O0 --install-layout=deb; \
