## libfiu 0.98

=== libfiu/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	NICE_CC = $(CC)
 endif
 
-LIB_VER=0.96
+LIB_VER=0.98
 LIB_SO_VER=0
