=== tests/Makefile ===
--- 
+++ 
@@ -13,12 +13,15 @@
 
 ifneq ($(V), 1)
 	NICE_CC = @echo "  CC  $@"; $(CC)
-	NICE_RUN = @echo "  RUN $<"; LD_LIBRARY_PATH=../libfiu/
+	NICE_RUN = @echo "  RUN $<"; \
+		   LD_LIBRARY_PATH=../libfiu/ \
+		   LD_PRELOAD=./libs/fiu_run_preload.so:./libs/fiu_posix_preload.so
 	NICE_PY = @echo "  PY  $<"; ./wrap-python 2
 	NICE_LN = @echo "  LN $@"; ln -f
 else
 	NICE_CC = $(CC)
-	NICE_RUN = LD_LIBRARY_PATH=../libfiu/
+	NICE_RUN = LD_LIBRARY_PATH=../libfiu/ \
+		   LD_PRELOAD=./libs/fiu_run_preload.so:./libs/fiu_posix_preload.so
 	NICE_PY = ./wrap-python 2
 	NICE_LN = ln -f
 endif
@@ -67,7 +70,7 @@
 	$(NICE_CC) $(ALL_CFLAGS) \
 		-rdynamic -fno-optimize-sibling-calls $< -lfiu -lpthread -o $@
 
-c-run-%: %
+c-run-%: % lnlibs
 	$(NICE_RUN) ./$<
 
 
@@ -120,6 +123,8 @@
 	rm -rf libs/ small-cat
 	rm -f *.bb *.bbg *.da *.gcov *.gcda *.gcno gmon.out build-flags
 	$(MAKE) -C generated clean
+	$(MAKE) -C collisions clean
+	$(MAKE) -C utils clean
 
 FORCE:
