=== preload/posix/Makefile ===
--- 
+++ 
@@ -81,8 +81,12 @@
 # ia64 and alpha use libc.so.6.1), so find which one to use at build-time.
 # Please note that the argument to ldd *must* start with "./", otherwise some
 # "ldd"s won't work (for example, the one in FreeBSD 8.1).
+# To find out the soname, we build a dummy shared library against the libc,
+# and use ldd to extract the version. This shared library must actually use
+# something from libc, otherwise a smart compiler/linker (such as one using
+# --as-needed) might not link it against libc.
 build-libcsoname:
-	@$(CC) -x c /dev/null -lc -shared -o build-libccheck.so
+	@$(CC) build-libccheck.c -lc -shared -fPIC -o build-libccheck.so
 	@ldd ./build-libccheck.so | grep libc.so | awk '{ print $$1 }' > $@
 	@rm build-libccheck.so
 	@test "`cat $@`" != "" || \
@@ -94,17 +98,16 @@
 		> build-env.h
 
 
-fiu_posix_preload.so: build-flags build-env.h build-needlibdl $(OBJS)
-	$(NICE_CC) $(ALL_CFLAGS) -shared -fPIC $(OBJS) \
+fiu_posix_preload.so: build-flags build-env.h build-needlibdl \
+		$(OBJS) ../../libfiu/hash.c
+	$(NICE_CC) $(ALL_CFLAGS) -shared -fPIC $(OBJS) ../../libfiu/hash.c \
 		-L../../libfiu/ \
 		-lfiu `cat build-needlibdl` \
 		-o fiu_posix_preload.so
 
 
-# this should only be needed when building the function list and not the
-# preload library
-%.mod.fl: %.mod
-	$(NICE_GEN) $< $<.c $@
+# A module's function list gets generated with the .c file.
+%.mod.fl: %.mod.c ;
 
 function_list: $(GEN_FL) function_list.in
 	@echo "  function_list"
