=== debian/changelog ===
libfiu (0.98-2) unstable; urgency=medium

  * Honour CPPFLAGS and LDFLAGS when building shared libraries to ensure
    hardening is applied to generated objects.
  * Add patch from upstream to avoid the use of PATH_MAX for GNU Hurd.
  * debian/rules:
    - Indent consistently.
    - Enable hardening build flags.
  * debian/control:
    - Move to Standards-Version 4.3.0.
    - Move to debhelper-compat level 12.

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Jan 2019 08:21:43 +0100

libfiu (0.98-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches; applied upstream.
  * Add "Build-Depends-Package" field to the symbols file.

 -- Chris Lamb <lamby@debian.org>  Thu, 13 Dec 2018 23:12:37 +0100

libfiu (0.97-2) unstable; urgency=medium

  * Mangle the return offset size for 64-bit variants too to prevent FTBFS on
    32-bit architectures. (Closes: #911733)

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 23:17:19 -0400

libfiu (0.97-1) unstable; urgency=medium

  * New upstream release.
    - Drop all patches; applied upstream.
    - Update debian/symbols.
  * Use debhelper-compat (= 11) build-dependency and drop debian/compat.

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Oct 2018 19:27:05 -0400

libfiu (0.96-5) unstable; urgency=medium

  * Apply patch from upstream to write fiu_ctrl.py atomically to avoid FTBFS
    when building in parallel. (Closes: #909843)
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Oct 2018 22:04:49 +0100
