=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  libpython-all-dev,
  libpython3-all-dev,
@@ -11,7 +11,7 @@
  python-docutils,
  python3-distutils,
  python3-all-dev:any,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://blitiri.com.ar/p/libfiu/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-libfiu.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-libfiu
