=== debian/tests/control ===
Tests: 0001-fiu-run-nonblocking

Tests: 0002-fiu-run-blocking
Restrictions: allow-stderr

Tests: 0003-python2

Tests: 0004-python3
