=== preload/posix/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CFLAGS += -std=c99 -Wall -O3
 ALL_CFLAGS = -D_XOPEN_SOURCE=600 -fPIC -DFIU_ENABLE=1 \
 		-D_LARGEFILE64_SOURCE=1 -I. -I../../libfiu/ \
-		$(CFLAGS)
+		$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
 ifdef DEBUG
 ALL_CFLAGS += -g
