=== debian/changelog ===
libfiu (1.00-7) unstable; urgency=medium

  * Fix FTBFS on amd64 with Python 3.8. Thanks, Alberto. (Closes: #954287)
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Mar 2020 23:11:55 +0000

libfiu (1.00-6) unstable; urgency=medium

  * Drop Build-Depends on libpython-all-dev for Python 2.x removal. Thanks,
    Sandro Tosi. (Closes: #936856)

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jan 2020 09:29:59 +0000

libfiu (1.00-5) unstable; urgency=medium

  * Don't run the non-deterministic "parallel" and "parallel-wildcard" tests.

 -- Chris Lamb <lamby@debian.org>  Sat, 28 Dec 2019 16:31:00 +0000

libfiu (1.00-4) unstable; urgency=medium

  * Don't FTBFS when multiple Python version libraries exist in build tree by
    manually deleting all but the version for the default Python version
    returned by py3versions prior to running the test suite. (Closes: #944911)
  * Specify Rules-Requires-Root: no.
  * Bump Standards-Version to 4.4.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Nov 2019 17:26:03 -0500

libfiu (1.00-3) unstable; urgency=medium

  * Patch the upstream Makefile to not build the Python 2.x bindings to ensure
    the tests pass.

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Sep 2019 11:45:27 +0100

libfiu (1.00-2) unstable; urgency=medium

  * Drop Python 2.x support in the autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Sep 2019 11:00:10 +0100

libfiu (1.00-1) unstable; urgency=medium

  * New upstream release.
    - Drop all patches; applied upstream.
  * Drop Python 2.x packages. (Closes: #936856)
  * Register HTML documentation with doc-base.
  * Update Lintian overrides:
    - Override pkg-config-unavailable-for-cross-compilation Lintian warning for
      usr/lib/pkgconfig/libfiu.pc; the library is for runtime fault injection
      and thus cross-compilation is not a use-case.
    - Drop misnamed and thus unused debian/libfiu.lintian.override.
  * Drop debian/source/options.
  * Bump Standards-Version to 4.4.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Sep 2019 10:30:40 +0100
