=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- libpython-all-dev,
  libpython3-all-dev,
- python-all-dev:any,
- python-docutils,
+ python3-docutils,
  python3-distutils,
  python3-all-dev:any,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://blitiri.com.ar/p/libfiu/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-libfiu.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-libfiu
+Rules-Requires-Root: no
 
 Package: libfiu0
 Architecture: any
@@ -58,21 +57,6 @@
  This package contains the development libraries and documentation in HTML and
  reStructuredText formats.
 
-Package: python-fiu
-Section: python
-Architecture: any
-Depends:
- libfiu0 (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: userspace fault injection framework (Python bindings)
- libfiu is a C library for fault injection. It provides functions to mark
- "points of failure" inside your code (the "core API"), and functions to
- enable/disable the failure of those points (the "control API").
- .
- This package contains Python bindings to libfiu.
-
 Package: python3-fiu
 Section: python
 Architecture: any
