=== debian/watch ===
version=3
https://blitiri.com.ar/p/libfiu/ files/[^/]+/libfiu-(.*).tar.gz
