=== libfiu/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	NICE_CC = $(CC)
 endif
 
-LIB_VER=1.00
+LIB_VER=1.1
 LIB_SO_VER=0
