=== tests/utils/Makefile ===
--- 
+++ 
@@ -44,7 +44,6 @@
 
 clean:
 	rm -f libs/*.so output-*.txt
-	rmdir libs/
 
 .PHONY: default all clean \
 	tests lnlibs
