=== debian/changelog ===
libfiu (1.1-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Apply patch from upstream to prevent compiler from inlining stack test
    functions which was causing an FTBFS when Link-Time Optimisation (LTO) was
    enabled. (Closes: #1015487)
  * Update copyright years in debian/copyright.
  * Update debian/gitlab-ci.yml.
    - Allow blhc failures for now.
    - Try and ensure all dpkg-buildflags are passed.
  * Bump Standards-Version to 4.6.1.

  [ Debian Janitor ]
  * Update watch file format version to 4.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Aug 2022 08:56:13 +0100

libfiu (1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Chris Lamb ]
  * Update debian/gitlab-ci.yml.
  * Try and ensure all dpkg-buildflags are passed.
  * Allow blhc failures for now.
  * Apply patch from upstream to prevent compiler from inlining stack test functions which was causing an FTBFS when Link-Time Optimisation (LTO) was enabled. (Closes: #1015487)
  * Bump Standards-Version to 4.6.1.
  * Update copyright years in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Aug 2022 08:56:09 +0100

libfiu (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Install docs directly into /usr/share/doc/libfiu-dev, not in a doc/
    subdirectory.
  * Drop 0001-Don-t-build-Python-2.x-bindings-used-in-tests.patch; Python 2
    support dropped upstream.
  * Drop 0002-bindings-python-Increment-refcount-on-failinfo-objec.patch;
    applied upstream.
  * Bump Standards-Version to 4.6.0.
  * Rename a lintian tag.

 -- Chris Lamb <lamby@debian.org>  Sat, 27 Nov 2021 10:00:13 -0800
