=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libpython3-all-dev,
+ python3-all-dev:any,
+ python3-distutils,
  python3-docutils,
- python3-distutils,
- python3-all-dev:any,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://blitiri.com.ar/p/libfiu/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-libfiu.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-libfiu
