=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	rst2html $< > $@
 
 override_dh_auto_build: $(DOCS)
-	dh_auto_build -- V=1
+	dh_auto_build -- V=1 $(shell dpkg-buildflags --export=cmdline)
 	cd bindings/python && \
 	set -e && for i in $(PYTHON_VERSIONS); do \
 		python$$i ./setup.py build; \
